Explore
List model metadata
Lists model metadata.
GET
/
v1
/
explore
/
metadata
cURL
curl --request GET \
--url https://api.baseten.co/v1/explore/metadata \
--header "Authorization: Bearer $BASETEN_API_KEY"import requests
import os
API_KEY = os.environ.get("BASETEN_API_KEY", "<YOUR_API_KEY>")
url = "https://api.baseten.co/v1/explore/metadata"
headers = {"Authorization": f"Bearer {API_KEY}"}
response = requests.request(
"GET",
url,
headers=headers,
params={'cursor': None, 'provider': None, 'q': None}
)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.baseten.co/v1/explore/metadata', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"slug": "<string>",
"display_name": "<string>",
"release_date": "2023-12-25",
"provider": "<string>",
"context_window": 123,
"max_output_tokens": 123,
"input_modalities": [
"<string>"
],
"tools": true,
"reasoning_effort_levels": [
"<string>"
],
"parallel_tool_calls": true,
"supported_api_formats": {
"messages": false,
"responses": false,
"chat_completions": false
},
"cost": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123,
"long_context": {
"input": 123,
"output": 123,
"cache_read": 123,
"cache_write": 123
}
}
}
],
"pagination": {
"has_more": true,
"cursor": "<string>"
}
}This endpoint is experimental and may change or be removed without notice.
Authorizations
Send Authorization: Bearer <api_key>. The legacy Authorization: Api-Key <api_key> scheme is also accepted.
Query Parameters
Opaque cursor returned by a previous page. Omit to fetch the first page.
Maximum number of items to return.
Required range:
1 <= x <= 1000Filter to a provider by slug prefix, e.g. 'anthropic'. Preserved by the cursor; if repeated, must match the original filter.
Case-insensitive substring search over metadata slugs. Preserved by the cursor; if repeated, must match the original filter.
Was this page helpful?
⌘I
cURL
